build-job:
  stage: build
  script:
    - echo "Hello, $GITLAB_USER_LOGIN"

test-job1:
  stage: test    
  script:
    - curl -L "https://get.spectralops.io/latest/x/sh?dsn=$SPECTRAL_DSN" | sh
    # This takes your SPECTRAL_DSN from the variables store in Gitlab CI/CD
    - $HOME/.spectral/spectral scan --config ./config/.spectral/spectral.yaml --ok
  artifacts:
    when: always
    paths:
      - ./junit-out/
    expire_in: 1 week
    reports:
      junit: ./junit-out/default.xml
